#RequireAdmin
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=TexMaker\texmaker.ico
#AutoIt3Wrapper_outfile=Latex.exe
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****

EnvSet("Path", EnvGet("Path") & ';' & @ScriptDir & '\MikTeX\miktex\bin')
Global Const $BinPath = StringReplace(@ScriptDir & '\MikTeX\miktex\bin\', '\', '/')
Global $Paths = ObjCreate("Scripting.Dictionary")
Global $hTPXIni, $sTPXIni = FileRead(@ScriptDir & '\TPX\TpX.ini')

$Paths.Add('Tools\Latex', 		'"\"' & $BinPath & 'latex.exe\" -interaction=nonstopmode %.tex"')
$Paths.Add('Tools\Dvi', 		'\"' & $BinPath & 'yap.exe\" %.dvi')
$Paths.Add('Tools\Dvips', 		'\"' & $BinPath & 'dvips.exe\" -o %.ps %.dvi')
$Paths.Add('Tools\Ps2pdf', 		'\"' & $BinPath & 'ps2pdf.exe\" %.ps')
$Paths.Add('Tools\Makeindex', 	'\"' & $BinPath & 'makeindex.exe\" %.idx')
$Paths.Add('Tools\Bibtex', 		'\"' & $BinPath & 'bibtex.exe\" %.aux')
$Paths.Add('Tools\Pdflatex', 	'"\"' & $BinPath & 'pdflatex.exe\" -interaction=nonstopmode %.tex"')
$Paths.Add('Tools\Asymptote', 	'\"' & StringReplace(@ScriptDir & '\Asymptote/asy.exe', '\', '/') & '\" %.asy')
$Paths.Add('Tools\Dvipdf', 		'\"' & $BinPath & 'ps2pdf.exe\" %.ps')
$Paths.Add('Tools\Metapost', 	'"\"' & $BinPath & 'mpost.exe\" --interaction nonstopmode "')
$Paths.Add('Tools\Pdf', 		'\"' & StringReplace(@ScriptDir & '\Foxit Reader\Foxit Reader.exe', '\', '/') & '\" %.pdf')
$Paths.Add('Spell\Dic', 		'' & StringReplace(@ScriptDir & '\TexMaker\de_DE.dic', '\', '/') & '')

For $i in $Paths.Keys
	IniWrite(@ScriptDir & '\TexMaker\texmaker.ini', 'texmaker', $i ,$Paths($i))
Next

; Nur fr den Fall das TPX verwendet wird:
#cs
$sTPXIni = StringRegExpReplace($sTPXIni, "(?m)DviPsPath=.+$", "DviPsPath=" & $BinPath & 'dvips.exe')
$sTPXIni = StringRegExpReplace($sTPXIni, "(?m)LatexPath=.+$", "LatexPath=" & $BinPath & 'latex.exe')
$sTPXIni = StringRegExpReplace($sTPXIni, "(?m)PdfLatexPath=.+$", "PdfLatexPath=" & $BinPath & 'pdflatex.exe')
$sTPXIni = StringRegExpReplace($sTPXIni, "(?m)PdfViewerPath=.+$", "PdfViewerPath=" & StringReplace(@ScriptDir & '\Foxit Reader\Foxit Reader.exe', '\', '/'))
$sTPXIni = StringRegExpReplace($sTPXIni, "(?m)DviViewerPath=.+$", "DviViewerPath=" & $BinPath & 'yap.exe')

$hTPXIni = FileOpen(@ScriptDir & '\TPX\TpX.ini', 2)

FileWrite($hTPXIni, $sTPXIni)
FileClose($hTPXIni)
#ce

If StringLeft($CmdLineRaw, 12) <> "/ErrorStdOut" Then
	$CmdLineRaw = ' ' & $CmdLineRaw
Else
	$CmdLineRaw = ''
EndIf


Run('"' & @ScriptDir & '\TexMaker\texmaker.exe"' & $CmdLineRaw, '', @SW_MAXIMIZE)

